- Home
- API Enriched
- Ai Services
- gia
- Deallocate IP through Global IP Allocator.
Deallocate IP through Global IP Allocator.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/gia/gia/deallocateip';const options = { method: 'DELETE', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"context":"example","ip":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/gia/gia/deallocateip \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "context": "example", "ip": "example" }'DeallocateIP will de-allocate the specified IP address for tenant.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”This is the input message of the ‘DeAllocateIP’ RPC.
object
This is the global IP allocator context from which IP deallocation will happen Optional: If not specified, gia will try to deallocate given IP from default IP range.
IP which needs to de-allocated.
Examplegenerated
{ "context": "example", "ip": "example"}Responses
Section titled “Responses”A successful response.
This is the output message of the ‘DeAllocateIP’ RPC.
object
Message from global IP allocator.
Examplegenerated
{ "message": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example